Bug 1728419 - bes not installable: needs rebuild, probably update to 3.20.5
Summary: bes not installable: needs rebuild, probably update to 3.20.5
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bes
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker openqa
Depends On:
Blocks: BetaBlocker, F31BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2019-07-09 23:31 UTC by Adam Williamson
Modified: 2019-07-29 17:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-29 17:16:34 UTC


Attachments (Terms of Use)

Description Adam Williamson 2019-07-09 23:31:49 UTC
bes, which is included in the Server DVD as an optional package in the web server group, has broken dependencies:

libhdf5.so.10()(64bit)
libnetcfd.so.11()(64bit)

it needs a rebuild, but the current 3.20.1 source does not build successfully on Rawhide.

I took a look at building 3.20.5. The source tarball is oddly huge - 4x as big as the other 3.20 releases. I've mailed the opendap folks about this, and James Gallagher said he'd look into it. Ignoring that, the build process succeeds, but there are several 'installed but unpackaged' files:


    Installed (but unpackaged) file(s) found:
   /etc/bes/site.conf.proto
   /usr/bin/bes-tmpfiles-conf
   /usr/bin/build_dmrpp
   /usr/bin/get_dmrpp
   /usr/bin/ingest_filesystem
   /usr/bin/ingest_s3bucket
   /usr/bin/localBesGetDap
   /usr/bin/populateMDS
   /usr/lib/debug/usr/bin/build_dmrpp-3.20.5-1.fc31.x86_64.debug
   /usr/share/mds/mds.cache_control
   /usr/share/mds/mds1e31959b003505dbe992fa27054ef20ead08904abde063efd1f7fa41483aafee
   /usr/share/mds/mds21c515a288f08b5d38af34d9518d4bd232f9d26ed352742f96c3012fe6204a69
   /usr/share/mds/mds4b30dc2b283aaf026c9ae300c5b2f02eba861aa60f7561ffe29c12208bea2932
   /usr/share/mds/mds726d07e85e4c1481a5bc1222e094733069a8c43345d43977aa6dc5052c320724
   /usr/share/mds/mds8158ee9b7e3ce5743f27b03716d898c74b548b5c3ea678d937d85ac3abdfc151
   /usr/share/mds/mds9e742f9d295129da8307d0e4e20dd4581b0eff61b30ee90cb1db6b2ead59dc70
   /usr/share/mds/mdsb1835337f1ef37dbab87c85412da4012c39bed0ce69a92a1485151fbe945c930
   /usr/share/mds/mdsb8ec49d7bcd6d89d6a9c924336c8ec13dfeae768ce4de557eaebc345b17df8a8
   /usr/share/mds/mdsc2d775a6fabb41f0af084e6e81b5b124dd730388f1cd62d9e1722eb658e63fae
   /usr/share/mds/mdsea174ff7ecc6bea00cc927b3ed0af9eac3582e6a967f0a7a8a682856a71fa52d
   /usr/share/mds/mdsf625fc73970205e61631b2882ccb2f07cf90bb5dc54d8b71193e3f6113e74d3e
   /usr/share/mds/mdsffecb556095b24bc4abb2588a993345add26e954c507f431aec52c2502d86d1e

I'm not sure what to do about these since I'm not an expert on the package, so I figured I'd best file a bug and leave it to the maintainer.

This is an automatic F31 Beta blocker per the automatic blocker policy: "Unresolved dependencies on a release-blocking DVD-style (offline installer) image (failures of QA:Testcase_Mediakit_Repoclosure)" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers

Comment 1 Adam Williamson 2019-07-09 23:33:00 UTC
Just got this from James:

"Best to use the github source if you need the source now; I should have a fixed tar.gz up soon but it might take a while since Iā€™m at the end of a slow link."

so a fixed tarball is on its way.

Comment 2 Stephen Gallagher 2019-07-15 13:50:28 UTC
Odd... this shouldn't even be on the DVD anymore. I thought I trimmed it out. Something fishy is going on here.

Comment 3 Adam Williamson 2019-07-15 16:15:22 UTC
It's explicitly in comps, because of some idiot:

6928aeb64 (Adam Williamson             2018-10-02 19:05:21 -0700 5772)       <packagereq type="optional">bes</packagereq>

...but no seriously, folks, what I was doing in that commit was replacing a ton of comps entries for packages that no longer exist. There was an entry for 'dap-server', which no longer exists as a binary package, but the 'bes' package does Provide: dap-server . For all the cases where there was an entry for a package that no longer exists in its own right but is provided by something else, I replaced the line with a line for the 'something else'. So, that's why bes is there.

If it no longer makes sense to include "a DAP server" in the optional packages for the web-server group, then we can take it out.

Comment 4 Adam Williamson 2019-07-29 17:16:34 UTC
sgallagh says he took this out of comps, and indeed in the latest Rawhide compose the repoclosure test still fails, but not because of bes. So let's close this.


Note You need to log in before you can comment on or make changes to this bug.